apt-get 安装QT4

root@ubuntu:/home/zhangbin/code/lplayer# ./lplayer

./lplayer: error while loading shared libraries: libQtGui.so.4: cannot open shared object file: No such file or directory

root@ubuntu:/home/zhangbin/code/lplayer# apt-get install libqt4-x11-32bit

Reading package lists... Done

Building dependency tree       

Reading state information... Done

E: Couldn't find package libqt4-x11-32bit

root@ubuntu:/home/zhangbin/code/lplayer# apt-get install libqt4*

Reading package lists... Done

Building dependency tree       

Reading state information... Done

Note, selecting libqt3c102-mt for regex 'libqt4*'

Note, selecting libqttapioca0 for regex 'libqt4*'

Note, selecting libqt4-opengl for regex 'libqt4*'

Note, selecting libqt4-assistant for regex 'libqt4*'

Note, selecting libqtscript4-webkit for regex 'libqt4*'

Note, selecting libqttelepathy-dev for regex 'libqt4*'

Note, selecting libqt3-mysql for regex 'libqt4*'

Note, selecting libqt4-webkit-dbg for regex 'libqt4*'

Note, selecting libqtruby4shared2 for regex 'libqt4*'

Note, selecting libqt4-sql-tds for regex 'libqt4*'

Note, selecting libqt-dev for regex 'libqt4*'

Note, selecting libqt4-sql-sqlite2 for regex 'libqt4*'

Note, selecting libqt3-dev for regex 'libqt4*'

Note, selecting libqt-mt-dev for regex 'libqt4*'

Note, selecting libqtwebkit-dev for regex 'libqt4*'

Note, selecting libqt3-mt-mysql for regex 'libqt4*'

Note, selecting libqt3-emb for regex 'libqt4*'

Note, selecting libqt4-dev-dbg for regex 'libqt4*'

Note, selecting libqttelepathyclient0 for regex 'libqt4*'

Note, selecting libqt4-test for regex 'libqt4*'

Note, selecting libqt4-sql-mysql for regex 'libqt4*'

Note, selecting libqt4-dbus for regex 'libqt4*'

Note, selecting libqt4-ruby1.8 for regex 'libqt4*'

Note, selecting libqt4-ruby for regex 'libqt4*'

Note, selecting libqt3c102-mt-psql for regex 'libqt4*'

Note, selecting libqt3c-mt-odbc for regex 'libqt4*'

Note, selecting libqtscript4-qtbindings for regex 'libqt4*'

Note, selecting libqt4-qt3support for regex 'libqt4*'

Note, selecting libqt3-i18n for regex 'libqt4*'

Note, selecting libqt4-sql-odbc for regex 'libqt4*'

Note, selecting libqt4-core for regex 'libqt4*'

Note, selecting libqt4-opengl-dev for regex 'libqt4*'

Note, selecting libqttestrunner1c2a for regex 'libqt4*'

Note, selecting libqttestrunner1 for regex 'libqt4*'

Note, selecting libqttelepathycommon0 for regex 'libqt4*'

Note, selecting libqt3-odbc for regex 'libqt4*'

Note, selecting libqtscript4-phonon for regex 'libqt4*'

Note, selecting libqt3-compat-headers for regex 'libqt4*'

Note, selecting libqt3-mt-ibase for regex 'libqt4*'

Note, selecting libqt-perl for regex 'libqt4*'

Note, selecting libqt4-dbg for regex 'libqt4*'

Note, selecting libqt3-plugins-headers for regex 'libqt4*'

Note, selecting libqt4-xmlpatterns for regex 'libqt4*'

Note, selecting libqt4-dev for regex 'libqt4*'

Note, selecting libqt3-mt-odbc for regex 'libqt4*'

Note, selecting libqt4-phonon-dev for regex 'libqt4*'

Note, selecting libqtscript4-core for regex 'libqt4*'

Note, selecting libqt4-help for regex 'libqt4*'

Note, selecting libqt4-debug for regex 'libqt4*'

Note, selecting libqt4-webkit for regex 'libqt4*'

Note, selecting libqt3c102-mt-sqlite for regex 'libqt4*'

Note, selecting libqt3-helper for regex 'libqt4*'

Note, selecting libqt4-xmlpatterns-dbg for regex 'libqt4*'

Note, selecting libqt4-gui for regex 'libqt4*'

Note, selecting libqt3-mt-dbg for regex 'libqt4*'

Note, selecting libqtcore4 for regex 'libqt4*'

Note, selecting libqt3c-mt-psql for regex 'libqt4*'

Note, selecting libqt3-mt-dev for regex 'libqt4*'

Note, selecting libqtscript4-doc for regex 'libqt4*'

Note, selecting libqtuitools2.2-cil for regex 'libqt4*'

Note, selecting libqttest2.2-cil for regex 'libqt4*'

Note, selecting libqtgtl-dev for regex 'libqt4*'

Note, selecting libqt4-sql-psql for regex 'libqt4*'

Note, selecting libqtscript4-gui for regex 'libqt4*'

Note, selecting libqt4-sql-sqlite for regex 'libqt4*'

Note, selecting libqtscript4-uitools for regex 'libqt4*'

Note, selecting libqthreads-12 for regex 'libqt4*'

Note, selecting libqt3-psql for regex 'libqt4*'

Note, selecting libqt4-sql for regex 'libqt4*'

Note, selecting libqtscript4-opengl for regex 'libqt4*'

Note, selecting libqtwebkit2.2-cil for regex 'libqt4*'

Note, selecting libqt4-svg for regex 'libqt4*'

Note, selecting libqt3-mt-sqlite for regex 'libqt4*'

Note, selecting libqt4-xml for regex 'libqt4*'

Note, selecting libqt3-headers for regex 'libqt4*'

Note, selecting libqt3-mt-psql for regex 'libqt4*'

Note, selecting libqtscript4-sql for regex 'libqt4*'

Note, selecting libqt4-network for regex 'libqt4*'

Note, selecting libqt3c-mt for regex 'libqt4*'

Note, selecting libqt4-multimedia for regex 'libqt4*'

Note, selecting libqt4-designer for regex 'libqt4*'

Note, selecting libqtscript4-svg for regex 'libqt4*'

Note, selecting libqttestrunner1c2 for regex 'libqt4*'

Note, selecting libqt0-ruby1.8 for regex 'libqt4*'

Note, selecting libqtgtl0 for regex 'libqt4*'

Note, selecting libqtgui4 for regex 'libqt4*'

Note, selecting libqtscript4-xml for regex 'libqt4*'

Note, selecting libqt4-phonon for regex 'libqt4*'

Note, selecting libqt3c102-mt-mysql for regex 'libqt4*'

Note, selecting libqt3 for regex 'libqt4*'

Note, selecting libqt3-mt for regex 'libqt4*'

Note, selecting libqt4-script for regex 'libqt4*'

Note, selecting libqt4-scripttools for regex 'libqt4*'

Note, selecting libqtscript4-xmlpatterns for regex 'libqt4*'

Note, selecting libqttapioca-dev for regex 'libqt4*'

Note, selecting libqttelepathycore0 for regex 'libqt4*'

Note, selecting libqtscript4-network for regex 'libqt4*'

Note, selecting libqt3c-mt-mysql for regex 'libqt4*'

Note, selecting libqt3c102-mt-odbc for regex 'libqt4*'

Note, selecting libqtscript2.2-cil for regex 'libqt4*'

The following extra packages will be installed:

  freetds-common libclucene0ldbl libcppunit-1.12-1 libcups2 libcups2-dev

  libgtlcore0 libiodbc2 liblcms1 liblcms1-dev libmng-dev libmng1 libmodplug0c2

  libmpcdec3 libmysqlclient16 libphonon-dev libphonon4 libpq5 libqscintilla2-5

  libqt-perl libqt3-compat-headers libqt3-headers libqt3-i18n libqt3-mt

  libqt3-mt-dev libqt3-mt-mysql libqt3-mt-odbc libqt3-mt-psql libqt3-mt-sqlite

  libqt4-assistant libqt4-core libqt4-dbg libqt4-dbus libqt4-designer

  libqt4-dev libqt4-gui libqt4-help libqt4-multimedia libqt4-network

  libqt4-opengl libqt4-opengl-dev libqt4-phonon libqt4-phonon-dev

  libqt4-qt3support libqt4-ruby libqt4-ruby1.8 libqt4-script

  libqt4-scripttools libqt4-sql libqt4-sql-mysql libqt4-sql-odbc

  libqt4-sql-psql libqt4-sql-sqlite libqt4-sql-sqlite2 libqt4-sql-tds

  libqt4-svg libqt4-test libqt4-webkit libqt4-webkit-dbg libqt4-xml

  libqt4-xmlpatterns libqt4-xmlpatterns-dbg libqtcore4 libqtgtl-dev libqtgtl0

  libqtgui4 libqthreads-12 libqtruby4shared2 libqtscript2.2-cil

  libqtscript4-core libqtscript4-doc libqtscript4-gui libqtscript4-network

  libqtscript4-opengl libqtscript4-phonon libqtscript4-qtbindings

  libqtscript4-sql libqtscript4-svg libqtscript4-uitools libqtscript4-webkit

  libqtscript4-xml libqtscript4-xmlpatterns libqttapioca-dev libqttapioca0

  libqttelepathy-dev libqttelepathyclient0 libqttelepathycommon0

  libqttelepathycore0 libqttest2.2-cil libqttestrunner1c2a libqtuitools2.2-cil

  libqtwebkit2.2-cil libqyoto4.5-cil libqyotoshared1 libruby1.8 libsmokeqt1

  libsmokeqt4-3 libsmokesoprano3 libsoprano4 libsybdb5 libxcb-shape0

  libxcb-shm0 libxcb-xv0 libxine1 libxine1-bin libxine1-console

  libxine1-misc-plugins libxine1-x mysql-common odbcinst odbcinst1debian1

  phonon phonon-backend-xine qt3-dev-tools qt4-qmake ruby1.8 soprano-daemon

  unixodbc virtuoso-nepomuk

Suggested packages:

  liblcms-utils qt3-doc qt4-dev-tools qt4-doc libmysqlclient-dev

  libsqlite0-dev libsqlite3-dev libpq-dev unixodbc-dev qt4-qtconfig gxine

  xine-ui libxine1-doc libxine-doc libxine1-ffmpeg phonon-backend-gstreamer

  phonon-backend-vlc phonon-backend-mplayer kcm-phonon-xine ruby1.8-examples

  rdoc1.8 ri1.8 libmyodbc odbc-postgresql tdsodbc unixodbc-bin

The following NEW packages will be installed:

  freetds-common libclucene0ldbl libcppunit-1.12-1 libcups2-dev libgtlcore0

  libiodbc2 liblcms1-dev libmng-dev libmng1 libmodplug0c2 libmpcdec3

  libmysqlclient16 libphonon-dev libphonon4 libpq5 libqscintilla2-5 libqt-perl

  libqt3-compat-headers libqt3-headers libqt3-i18n libqt3-mt libqt3-mt-dev

  libqt3-mt-mysql libqt3-mt-odbc libqt3-mt-psql libqt3-mt-sqlite

  libqt4-assistant libqt4-core libqt4-dbg libqt4-dbus libqt4-designer

  libqt4-dev libqt4-gui libqt4-help libqt4-multimedia libqt4-network

  libqt4-opengl libqt4-opengl-dev libqt4-phonon libqt4-phonon-dev

  libqt4-qt3support libqt4-ruby libqt4-ruby1.8 libqt4-script

  libqt4-scripttools libqt4-sql libqt4-sql-mysql libqt4-sql-odbc

  libqt4-sql-psql libqt4-sql-sqlite libqt4-sql-sqlite2 libqt4-sql-tds

  libqt4-svg libqt4-test libqt4-webkit libqt4-webkit-dbg libqt4-xml

  libqt4-xmlpatterns libqt4-xmlpatterns-dbg libqtcore4 libqtgtl-dev libqtgtl0

  libqtgui4 libqthreads-12 libqtruby4shared2 libqtscript2.2-cil

  libqtscript4-core libqtscript4-doc libqtscript4-gui libqtscript4-network

  libqtscript4-opengl libqtscript4-phonon libqtscript4-qtbindings

  libqtscript4-sql libqtscript4-svg libqtscript4-uitools libqtscript4-webkit

  libqtscript4-xml libqtscript4-xmlpatterns libqttapioca-dev libqttapioca0

  libqttelepathy-dev libqttelepathyclient0 libqttelepathycommon0

  libqttelepathycore0 libqttest2.2-cil libqttestrunner1c2a libqtuitools2.2-cil

  libqtwebkit2.2-cil libqyoto4.5-cil libqyotoshared1 libruby1.8 libsmokeqt1

  libsmokeqt4-3 libsmokesoprano3 libsoprano4 libsybdb5 libxcb-shape0

  libxcb-shm0 libxcb-xv0 libxine1 libxine1-bin libxine1-console

  libxine1-misc-plugins libxine1-x mysql-common odbcinst odbcinst1debian1

  phonon phonon-backend-xine qt3-dev-tools qt4-qmake ruby1.8 soprano-daemon

  unixodbc virtuoso-nepomuk

The following packages will be upgraded:

  libcups2 liblcms1

2 upgraded, 116 newly installed, 0 to remove and 228 not upgraded.

Need to get 221MB of archives.

After this operation, 1,112MB of additional disk space will be used.

Do you want to continue [Y/n]? n

Abort.

root@ubuntu:/home/zhangbin/code/lplayer# apt-get install libqt4-GUI

Reading package lists... Done

Building dependency tree       

Reading state information... Done

The following extra packages will be installed:

  libmng1 libqt4-assistant libqt4-dbus libqt4-designer libqt4-gui

  libqt4-network libqt4-opengl libqt4-script libqt4-svg libqt4-xml libqtcore4

  libqtgui4

Suggested packages:

  qt4-qtconfig

The following NEW packages will be installed:

  libmng1 libqt4-assistant libqt4-dbus libqt4-designer libqt4-gui

  libqt4-network libqt4-opengl libqt4-script libqt4-svg libqt4-xml libqtcore4

  libqtgui4

0 upgraded, 12 newly installed, 0 to remove and 230 not upgraded.

Need to get 12.8MB of archives.

After this operation, 36.8MB of additional disk space will be used.

Do you want to continue [Y/n]? y

Get:1 http://Ubuntu.cn99.com/ubuntu/ lucid/main libmng1 1.0.9-1ubuntu1 [209kB]

Get:2 http://Ubuntu.cn99.com/ubuntu/ lucid-security/main libqtcore4 4:4.6.2-0ubuntu5.2 [1,724kB]

Get:3 http://Ubuntu.cn99.com/ubuntu/ lucid-security/main libqt4-network 4:4.6.2-0ubuntu5.2 [445kB]

Get:4 http://Ubuntu.cn99.com/ubuntu/ lucid-security/main libqt4-assistant 4:4.6.2-0ubuntu5.2 [46.2kB]

Get:5 http://Ubuntu.cn99.com/ubuntu/ lucid-security/main libqt4-xml 4:4.6.2-0ubuntu5.2 [124kB]

Get:6 http://Ubuntu.cn99.com/ubuntu/ lucid-security/main libqt4-dbus 4:4.6.2-0ubuntu5.2 [223kB]

Get:7 http://Ubuntu.cn99.com/ubuntu/ lucid-security/main libqt4-script 4:4.6.2-0ubuntu5.2 [793kB]

Get:8 http://Ubuntu.cn99.com/ubuntu/ lucid-security/main libqtgui4 4:4.6.2-0ubuntu5.2 [4,009kB]

Get:9 http://Ubuntu.cn99.com/ubuntu/ lucid-security/main libqt4-designer 4:4.6.2-0ubuntu5.2 [4,714kB]

Get:10 http://Ubuntu.cn99.com/ubuntu/ lucid-security/main libqt4-svg 4:4.6.2-0ubuntu5.2 [169kB]

Get:11 http://Ubuntu.cn99.com/ubuntu/ lucid-security/main libqt4-opengl 4:4.6.2-0ubuntu5.2 [266kB]

Get:12 http://Ubuntu.cn99.com/ubuntu/ lucid-security/main libqt4-gui 4:4.6.2-0ubuntu5.2 [36.3kB]

Fetched 12.8MB in 1min 44s (122kB/s)                                           

Selecting previously deselected package libmng1.

(Reading database ... 155159 files and directories currently installed.)

Unpacking libmng1 (from .../libmng1_1.0.9-1ubuntu1_i386.deb) ...

Selecting previously deselected package libqtcore4.

Unpacking libqtcore4 (from .../libqtcore4_4%3a4.6.2-0ubuntu5.2_i386.deb) ...

Selecting previously deselected package libqt4-network.

Unpacking libqt4-network (from .../libqt4-network_4%3a4.6.2-0ubuntu5.2_i386.deb) ...

Selecting previously deselected package libqt4-assistant.

Unpacking libqt4-assistant (from .../libqt4-assistant_4%3a4.6.2-0ubuntu5.2_i386.deb) ...

Selecting previously deselected package libqt4-xml.

Unpacking libqt4-xml (from .../libqt4-xml_4%3a4.6.2-0ubuntu5.2_i386.deb) ...

Selecting previously deselected package libqt4-dbus.

Unpacking libqt4-dbus (from .../libqt4-dbus_4%3a4.6.2-0ubuntu5.2_i386.deb) ...

Selecting previously deselected package libqt4-script.

Unpacking libqt4-script (from .../libqt4-script_4%3a4.6.2-0ubuntu5.2_i386.deb) ...

Selecting previously deselected package libqtgui4.

Unpacking libqtgui4 (from .../libqtgui4_4%3a4.6.2-0ubuntu5.2_i386.deb) ...

Selecting previously deselected package libqt4-designer.

Unpacking libqt4-designer (from .../libqt4-designer_4%3a4.6.2-0ubuntu5.2_i386.deb) ...

Selecting previously deselected package libqt4-svg.

Unpacking libqt4-svg (from .../libqt4-svg_4%3a4.6.2-0ubuntu5.2_i386.deb) ...

Selecting previously deselected package libqt4-opengl.

Unpacking libqt4-opengl (from .../libqt4-opengl_4%3a4.6.2-0ubuntu5.2_i386.deb) ...

Selecting previously deselected package libqt4-gui.

Unpacking libqt4-gui (from .../libqt4-gui_4%3a4.6.2-0ubuntu5.2_i386.deb) ...

Setting up libmng1 (1.0.9-1ubuntu1) ...

 

Setting up libqtcore4 (4:4.6.2-0ubuntu5.2) ...

 

Setting up libqt4-network (4:4.6.2-0ubuntu5.2) ...

 

Setting up libqt4-assistant (4:4.6.2-0ubuntu5.2) ...

 

Setting up libqt4-xml (4:4.6.2-0ubuntu5.2) ...

 

Setting up libqt4-dbus (4:4.6.2-0ubuntu5.2) ...

 

Setting up libqt4-script (4:4.6.2-0ubuntu5.2) ...

 

Setting up libqtgui4 (4:4.6.2-0ubuntu5.2) ...

 

Setting up libqt4-designer (4:4.6.2-0ubuntu5.2) ...

 

Setting up libqt4-svg (4:4.6.2-0ubuntu5.2) ...

 

Setting up libqt4-opengl (4:4.6.2-0ubuntu5.2) ...   好多都依赖opengl啊。

 

Setting up libqt4-gui (4:4.6.2-0ubuntu5.2) ...

Processing triggers for libc-bin ...

ldconfig deferred processing now taking place

root@ubuntu:/home/zhangbin/code/lplayer# 

 

ffmpeg没事。

root@ubuntu:/home/zhangbin/code/lplayer# ffmpeg

FFmpeg version git-N-28432-g4786076, Copyright (c) 2000-2011 the FFmpeg developers

  built on May 11 2011 21:51:59 with gcc 4.4.3

  configuration: --enable-shared --enable-gpl --enable-nonfree --enable-pthreads --enable-libfaac --enable-libmp3lame --enable-libtheora --enable-libxvid --enable-x11grab --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libopencore-amrnb --enable-version3 --enable-libx264 --enable-postproc --enable-libvpx --enable-libvorbis

  libavutil    50. 39. 0 / 50. 39. 0

  libavcodec   52.114. 0 / 52.114. 0

  libavformat  52.103. 0 / 52.103. 0

  libavdevice  52.  3. 0 / 52.  3. 0

  libavfilter   1. 76. 0 /  1. 76. 0

  libswscale    0. 12. 0 /  0. 12. 0

  libpostproc  51.  2. 0 / 51.  2. 0

Hyper fast Audio and Video encoder

usage: ffmpeg [options] [[infile options] -i infile]... {[outfile options] outfile}...

 

Use -h to get full help or, even better, run 'man ffmpeg'

root@ubuntu:/home/zhangbin/code/lplayer# 

感觉界面有本地化风格。

相关推荐
©️2020 CSDN 皮肤主题: 大白 设计师:CSDN官方博客 返回首页
实付 39.90元
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值